<div style="margin-top: 20px;">
    <div class="container">
        <div style="margin-top: 20px;">
            <div class="col-md-12" style="overflow:auto">
                <div class="pull-right">
                <button pButton type="button" class="ui-button-primary btn-sm" label="DROP" (click)="drop()" [disabled]="selected?.length == 0"></button>
                <button pButton type="button" class="ui-button-primary btn-sm" label="REJECT" (click)="reject()" [disabled]="selected?.length == 0"></button>
                </div>
            </div>
            <p-dataTable
                [value]="prospectKorsals"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idProspect"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                [(selection)]="selected">
                <p-header>
                    <form name="searchForm" class="form-inline">
                        <div class="input-group w-100 mt-3">
                            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                name="currentSearch" placeholder="Cari Data">
                            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                <span class="fa fa-search"></span>
                            </button>
                            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                <span class="fa fa-trash-o"></span>
                            </button>
                        </div>
                    </form>
                </p-header>
                <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>        
                <p-column header="{{'mpmApp.prospectKorsal.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.person'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.person.firstName}} {{rowData.person.lastName}}
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-dialog [(visible)]="isRequestDrop" closable="true" responsive="true" width="720" modal="true">
    <p-header>
        Konfirmasi
    </p-header>

    <label>Apakah anda yakin ingin melakukan request drop?</label>
    
    <p-footer>
            <button pButton type="button"
            (click)="confirmDrop()" 
            label="Ya"
            icon="fa-check">
            </button>
        <button pButton type="button" label="Tidak" (click)="isRequestDrop = !isRequestDrop" icon="fa-times">
        </button>
       
         <!-- [disabled]="vehicleNumber === null" -->
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="isReject" closable="true" responsive="true" width="720" modal="true">
    <p-header>
        Konfirmasi
    </p-header>

    <label>Apakah anda yakin ingin melakukan reject drop?</label>
    
    <p-footer>
            <button pButton type="button"
            (click)="confirmReject()" 
            label="Ya"
            icon="fa-check">
            </button>
        <button pButton type="button" label="Tidak" (click)="isReject = !isReject" icon="fa-times">
        </button>
        
         <!-- [disabled]="vehicleNumber === null" -->
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="isCompletedDrop" closable="true" responsive="true" width="720" modal="true">
    <div class="ui-g">
        <div class="ui-lg-12">
            <label> Drop Berhasil</label>
        </div>
        <div class="ui-lg-12">
            <button pButton type="button" label="OK" (click)="isCompletedDrop = !isCompletedDrop" icon="fa-times"></button>      
        </div>
    </div>
</p-dialog>

<p-dialog [(visible)]="isCompletedReject" closable="true" responsive="true" width="720" modal="true">
    <div class="ui-g">
        <div class="ui-lg-12">
            <label> Reject Berhasil</label>
        </div>
        <div class="ui-lg-12">
            <button pButton type="button" label="OK" (click)="isCompletedReject = !isCompletedReject" icon="fa-times"></button>      
        </div>
    </div>
</p-dialog>